import { BuilderConfig } from "src/generators/types/builder-config";
import { GenerateTypeParams } from "src/generators/types/generate";
export declare function getBuilderConfigs({ data, tag, resolver }: GenerateTypeParams): {
    configs: never[];
    hasZodImport?: undefined;
    modelsImports?: undefined;
    queriesImports?: undefined;
    aclImports?: undefined;
} | {
    configs: BuilderConfig[];
    hasZodImport: boolean;
    modelsImports: import("src/generators/types/generate").Import[];
    queriesImports: import("src/generators/types/generate").Import[];
    aclImports: import("src/generators/types/generate").Import[];
};
